## gtk+3.0 3.6.0

=== debian/changelog ===
gtk+3.0 (3.6.0-0ubuntu3.2) quantal-proposed; urgency=low

  * debian/patches/git_robust_a11y_unrealized.patch: "Be robust against 
    unrealized windows in GtkWindowAccessible" (lp: #1064992)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 09 Nov 2012 17:47:37 +0100

gtk+3.0 (3.6.0-0ubuntu3.1) quantal-proposed; urgency=low

  * Cherry-pick some upstream patches from 3.6.1 (LP: #1068585)
    + appchooserwidget: check for g_app_info_should_show(). This ensures
      NoDisplay=true or NotShowIn/OnlyShowIn values in the desktop file are
      respected.
    + Make process_all_updates draw synchronously to improve rendering
      performance.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 18 Oct 2012 17:49:38 +0100

gtk+3.0 (3.6.0-0ubuntu3) quantal-proposed; urgency=low

  * debian/patches/revert_git_a11y_stopped.patch:
    - revert recent commit which unload a11y on shutdown, 
      that's an optimization and not strictly necessary and it's creating 
      issue with e.g ubiquity (lp: #1056300). That's a workaround but seems
      to be the safest solution for quantal.
  * debian/patches/git_iconview_render_item_select.patch: 
    - "iconview: Render focus even in non-selected items"
  * debian/control.in:
    - let libgtk depends on at-spi-core2 (rather than libgail) since that's
      the library which is using the service, that should fix issues the
      warnings raised on some configurations (including the QA tests)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 09 Oct 2012 11:48:15 +0200

gtk+3.0 (3.6.0-0ubuntu2) quantal-proposed; urgency=low

  * debian/patches/git_use_right_display.patch:
    - should fix gedit or evince hitting an Xerror when opened two times 
      with different displays, e.g one from unity and one by clicking 
      on a file in nautilus (lp: #1047431)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 27 Sep 2012 15:30:06 +0200

gtk+3.0 (3.6.0-0ubuntu1) quantal; urgency=low

  * New upstream stable release
  * debian/libgtk-3-0.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 25 Sep 2012 12:56:48 +1200

gtk+3.0 (3.5.18-0ubuntu3) quantal-proposed; urgency=low

  * debian/patches/print-dialog-show-options-of-remote-dnssd-printers.patch:
    Make printing on remote DNS-SD/Bonjour-shared printers working
    (LP: #1053891).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 21 Sep 2012 10:56:30 +0200

gtk+3.0 (3.5.18-0ubuntu2) quantal-proposed; urgency=low

  * Merge fix from Albert Astals Cid to not hijack mnemonics for non-menubar
    menus (for example context menus). The standard gtk codepath performs more
    sanity checks that we need. Fixes, for example, the 'R' mnemonic in
    Nautilus (rename). (LP: #896740)

 -- Iain Lane <iain.lane@canonical.com>  Wed, 19 Sep 2012 17:09:56 +0100

gtk+3.0 (3.5.18-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release
  * debian/libgtk-3-0.symbols:
    - Updated

  [ Sebastien Bacher ]
  * debian/patches/101_revert_symbolic_icon_search.patch:
    - drop the revert workaround done for precise, the icon theme should 
      be fixed rather in quantal since that's the correct solution,
      the patch also creates issues in gnome-shell (lp: #1001229)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 19 Sep 2012 13:20:34 +1200

gtk+3.0 (3.5.16-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release
  * debian/libgtk-3-0.symbols:
    - Updated
  * debian/patches/00git_gtkactionhelper.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 05 Sep 2012 15:21:29 +1200

gtk+3.0 (3.5.12-0ubuntu3) quantal-proposed; urgency=low

  * debian/patches/00git_gtkactionhelper.patch:
    - Fix crash adding actions

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 22 Aug 2012 17:32:00 +1200

gtk+3.0 (3.5.12-0ubuntu2) quantal-proposed; urgency=low

  * debian/control.in: updated glib requirement
  * debian/patches/ubuntu_gtk_custom_menu_items.patch:
    - define new gtk_model_menu_create_custom_item function, it's required 
      for the indicator-message on gmenu update, thanks Lars Uebernickel
      (lp: #1039476)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 21 Aug 2012 13:57:05 +0200

gtk+3.0 (3.5.12-0ubuntu1) quantal-proposed; urgency=low

  * New upstream version:
    GtkApplication:
    - Add gtk_application_get_active_window to get the active window
    - Add gtk_widget_insert_action_group to allow more flexibility
      when associating widgets with actions
    GtkMenuButton:
    - The gtk_menu_button_set_menu function is getting renamed
      to gtk_menu_button_set_popup. The old name is still available
      for now, but will be removed before 3.6
    GtkToolbar:
    - use CSS properties instead of style properties for padding
    Input method support:
    - GtkEntry and GtkTextView now have input-purpose and input-hints
      properties that let applications provide useful hints to
      input methods, like 'this entry is for a phone nr'.
  * debian/libgtk-3-0.symbols:
    - updated

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 21 Aug 2012 11:59:37 +0200

gtk+3.0 (3.5.10-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release (LP: #1033867).
  * Refresh patches to apply cleanly. 
  * Drop debian/patches/revert_nautilus_segfault.patch: Fixed properly
    upstream.
  * Remove ubuntu revisions from symbols which are not Ubuntu specific. 
  * debian/control{,.in}: XC-Package-Type → Package-Type. Thanks, lintian.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 07 Aug 2012 09:52:01 +0100

gtk+3.0 (3.5.8-0ubuntu2) quantal-proposed; urgency=low

  * debian/patches/revert_nautilus_segfault.patch:
    - revert commit that makes nautilus segfault randomly (lp: #1018896)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 18 Jul 2012 21:28:53 +0200

gtk+3.0 (3.5.8-0ubuntu1) quantal-proposed; urgency=low

  * New upstream version (lp: #1025531)
    * gtk-launch: A new commandline utility to launch an application from 
      its desktop file

