=== debian/control ===
Source: gtk+3.0
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 8.1.3),
               cdbs (>= 0.4.90~),
               gnome-pkg-tools (>= 0.11),
               dpkg-dev (>= 1.16.0),
               gtk-doc-tools (>= 1.11),
               dh-autoreconf,
               gettext,
               pkg-config,
               autotools-dev,
               libglib2.0-dev (>= 2.33.10),
               libgdk-pixbuf2.0-dev (>= 2.26.0),
               libpango1.0-dev (>= 1.30.0),
               libatk1.0-dev (>= 2.2.0),
               libatk-bridge2.0-dev,
               libx11-dev (>= 2:1.3.3-2),
               libxext-dev (>= 2:1.1.1-3),
               libxi-dev (>= 2:1.3-4),
               libxrandr-dev (>= 1:1.2.99),
               libxt-dev,
               libxrender-dev (>= 1:0.9.5-2),
               libxft-dev,
               libxcursor-dev (>= 1:1.1.10-2),
               libxcomposite-dev (>= 1:0.2.0-3),
               libxdamage-dev (>= 1:1.0.1-3),
               libxkbfile-dev,
               libxinerama-dev (>= 2:1.1-3),
               libxfixes-dev (>= 1:3.0.0-3),
               libcairo2-dev (>= 1.10.0),
               x11proto-xext-dev,
               libcups2-dev (>= 1.2),
               libcolord-dev (>= 0.1.9),
               gobject-introspection (>= 1.32.0),
               libgirepository1.0-dev (>= 1.32.0),
               xvfb
Build-Depends-Indep: docbook-xml,
                     docbook-utils,
                     libglib2.0-doc,
                     libatk1.0-doc,
                     libpango1.0-doc,
                     libcairo2-doc
Standards-Version: 3.9.3
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gtk/ubuntugtk3
Homepage: http://www.gtk.org/
XS-Testsuite: autopkgtest

Package: libgtk-3-0
Architecture: any
Depends: libgtk-3-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         shared-mime-info,
         at-spi2-core
Provides: gtk3-binver-3.0.0
Recommends: hicolor-icon-theme,
            libgtk-3-bin
Suggests: librsvg2-common,
          gvfs
Breaks: gnome-themes-standard (<< 3.2),
        gtk3-engines-unico (<< 1.0.2-0ubuntu2)
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: GTK+ graphical user interface library
 GTK+ is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK+ is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the shared libraries.

Package: libgtk-3-0-udeb
Package-Type: udeb
Section: debian-installer
Priority: extra
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Provides: gtk3-binver-3.0.0
Description: GTK+ graphical user interface library - minimal runtime
 This is a udeb, or a microdeb, for the debian-installer.
 .
 GTK+ is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK+ is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the minimal runtime library using X11 needed
 by the Debian installer.

Package: libgtk-3-common
Section: misc
Architecture: all
Depends: ${misc:Depends}
Recommends: libgtk-3-0
Breaks: libgtk-3-0 (<< 3.5.4)
Replaces: libgtk-3-0 (<< 3.5.4)
Multi-Arch: foreign
Description: common files for the GTK+ graphical user interface library
 GTK+ is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK+ is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the common files which the libraries need.

Package: libgtk-3-bin
Section: misc
Architecture: any
Depends: ${misc:Depends},
         libgtk-3-0 (>= ${source:Version}),
         libgtk-3-common (= ${source:Version})
Multi-Arch: foreign
Description: programs for the GTK+ graphical user interface library
 GTK+ is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK+ is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the utilities which are used by the libraries
 and other packages.

Package: libgtk-3-dev
Section: libdevel
Architecture: any
Depends: libgtk-3-0 (= ${binary:Version}),
         gir1.2-gtk-3.0 (= ${binary:Version}),
         libgtk-3-common,
         ${misc:Depends},
         ${shlibs:Depends},
         libglib2.0-dev (>= 2.33.1),
         libgdk-pixbuf2.0-dev (>= 2.26.0),
         libpango1.0-dev (>= 1.30.0),
         libatk1.0-dev (>= 2.2.0),
         libatk-bridge2.0-dev,
         libcairo2-dev (>= 1.10.0),
         libx11-dev,
         libxext-dev,
         libxinerama-dev,
         libxi-dev,
         libxrandr-dev,
         libxcursor-dev ,
         libxfixes-dev,
         libxcomposite-dev,
         libxdamage-dev,
         pkg-config (>= 0.26-1)
Suggests: libgtk-3-doc
Description: development files for the GTK+ library
 GTK+ is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK+ is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the header and development files which are
 needed for building GTK+ applications.

Package: libgtk-3-0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libgtk-3-0 (= ${binary:Version}),
         libgtk-3-common,
         ${misc:Depends}
Multi-Arch: same
Description: GTK+ libraries and debugging symbols
 GTK+ is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK+ is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains detached debugging symbols.
 .
 Most people will not need this package.

Package: libgtk-3-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: libglib2.0-doc,
            libatk1.0-doc,
            libpango1.0-doc
Suggests: devhelp
Multi-Arch: foreign
Description: documentation for the GTK+ graphical user interface library
 GTK+ is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK+ is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the HTML documentation for the GTK+ library
 in /usr/share/doc/libgtk-3-doc/ .

Package: gtk-3-examples
Section: x11
Priority: extra
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgtk-3-0 (= ${binary:Version})
Breaks: libgtk-3-common (<< 3.5.4)
Replaces: libgtk-3-common (<< 3.5.4)
Description: example files for GTK+ 3
 GTK+ is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK+ is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the example files and a demonstration program
 for GTK+3.

Package: gir1.2-gtk-3.0
Section: introspection
Architecture: any
Depends: libgtk-3-common,
         ${misc:Depends},
         ${shlibs:Depends},
         ${gir:Depends}
Description: GTK+ graphical user interface library -- gir bindings
 GTK+ is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK+ is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: libgail-3-0
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgtk-3-0 (= ${binary:Version})
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: GNOME Accessibility Implementation Library -- shared libraries
 Gail implements ATK interfaces for GTK+ widgets which are dynamically
 loadable at runtime by a GTK+ application. Once loaded, those parts of
 an application that use standard GTK+ widgets will have a basic level
 of accessibility, without the need to modify the application at all.
 .
 This package contains the shared library.

Package: libgail-3-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libgail-3-0 (= ${binary:Version}),
         libgtk-3-dev (= ${binary:Version}),
         pkg-config (>= 0.26-1),
         libatk1.0-dev (>= 2.2.0)
Suggests: libgail-3-doc
Description: GNOME Accessibility Implementation Library -- development files
 Gail implements ATK interfaces for GTK+ widgets which are dynamically
 loadable at runtime by a GTK+ application. Once loaded, those parts of
 an application that use standard GTK+ widgets will have a basic level
 of accessibility, without the need to modify the application at all.
 .
 This package contains the development files for Gail.

Package: libgail-3-0-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, libgail-3-0 (= ${binary:Version})
Recommends: libgtk-3-0-dbg
Multi-Arch: same
Description: Gail libraries and debugging symbols
 Gail is the "GNOME Accessibility Implementation Library".
 .
 This package contains detached debugging symbols.
 .
 Most people will not need this package.

Package: libgail-3-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: devhelp
Multi-Arch: foreign
Description: documentation files of the Gail library
 Gail implements ATK interfaces for GTK+ widgets which are dynamically
 loadable at runtime by a GTK+ application. Once loaded, those parts of
 an application that use standard GTK+ widgets will have a basic level
 of accessibility, without the need to modify the application at all.
 .
 This package contains the documentation files for Gail.
