## gtk+3.0 3.6.4

=== debian/changelog ===
gtk+3.0 (3.6.4-0ubuntu8) raring; urgency=low

  * Revert previous revision, it creates scrolling "jerkiness" issues for 
    some users (lp: #1171156)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 22 Apr 2013 19:28:59 +0200

gtk+3.0 (3.6.4-0ubuntu7) raring; urgency=low

  * debian/patches/git_reset_scrolling.patch:
    - "xi2: Reset scroll valuators on synthesized crossing events",
       that should fix issues where scrolling apply incorrectly to the new 
       focussed dialog, carrying over previous scrolling event (lp: #1046988)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 15 Apr 2013 13:30:04 +0200

gtk+3.0 (3.6.4-0ubuntu6) raring; urgency=low

  * Cherry-pick upstream patches to only load CSS image data when needed,
    saving a substantial amount of memory.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 04 Feb 2013 13:04:06 +0000

gtk+3.0 (3.6.4-0ubuntu5) raring; urgency=low

  [ Sebastien Bacher ]
  * debian/patches/git_color_annotation_fix.patch:
    - backport annotation fix from trunk (lp: #1101301)
  * debian/patches/062_ubuntu-set-grab-add.patch:
    - drop that patch, it was needed at some point by ido/indicator-sound
      but this code has been rewritten without the new for those hacks,
      thanks Lars Uebernickel for checking

  [ Iain Lane ]
  * BD on newer libxkbcommon; previous versions generated very strict shlibs.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 01 Feb 2013 16:51:15 +0000

gtk+3.0 (3.6.4-0ubuntu4) raring; urgency=low

  * Only build the wayland backend for the shared library, not the udeb. 
  * Make the abicheck.sh test dynamic on the enabled GDK backends, so the
    exported symbols can vary between shared lib and udeb build.

 -- Iain Lane <iain.lane@canonical.com>  Mon, 28 Jan 2013 12:10:20 +0000

gtk+3.0 (3.6.4-0ubuntu3) raring; urgency=low

  * debian/control.in:
    - Add libwayland-dev and libxkbcommon-dev as dependencies to
      libgtk-3-dev (LP: #1106188)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 26 Jan 2013 17:45:46 -0500

gtk+3.0 (3.6.4-0ubuntu2) raring; urgency=low

  * Enable Wayland backend (LP: #954352)

 -- Darxus <darxus@chaosreigns.com>  Fri, 25 Jan 2013 22:48:49 +0100

gtk+3.0 (3.6.4-0ubuntu1) raring; urgency=low

  [ Sebastien Bacher ]
  * debian/patches/git_dont_duplicate_bookmark.patch:
    - "Remove bookmark duplicate of shortcut" (lp: #316959)

  [ Robert Ancell ]
  * New upstream release
  * debian/control.in:
    - Add ${shlibs:Depends} Depends to libgtk-3-bin
  * debian/libgtk-3-bin.install:
    - Install gtk-launch man page.
  * debian/libgtk-3-dev.install:
    - Install gtkbuilder.rng RELAX NG schema file which can be used to
      validate GtkBuilder ui files.

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 10 Jan 2013 17:05:45 +1300

gtk+3.0 (3.6.2-0ubuntu1) raring; urgency=low

  * New upstream version:
    - refactor some fileselector code to avoid segfaults, 
      thanks William Hua for tracking those issues (lp: #851843)
  * Drop patches included in the new version
  * debian/libgtk-3-0.symbols:
    - updated for the new version, dropping private symbols

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 12 Nov 2012 18:52:30 +0100

gtk+3.0 (3.6.0-0ubuntu4) raring; urgency=low

  * debian/patches/git_robust_a11y_unrealized.patch: "Be robust against 
    unrealized windows in GtkWindowAccessible" (lp: #1064992)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 09 Nov 2012 17:47:37 +0100
