=== debian/rules ===
--- 
+++ 
@@ -54,18 +54,21 @@
 
 DEB_CONFIGURE_EXTRA_FLAGS = \
 			--libdir=/$(LIBDIR) \
-			--enable-test-print-backend
+			--enable-test-print-backend \
+			--enable-x11-backend
 
 DEB_CONFIGURE_FLAGS_shared = \
 			--enable-gtk-doc \
 			--enable-shared \
 			--enable-introspection \
 			--enable-colord \
+			--enable-wayland-backend \
 			--disable-static
 
 DEB_CONFIGURE_FLAGS_shared_udeb = \
 			--disable-introspection \
 			--disable-colord \
+			--disable-wayland-backend \
 			--disable-xcomposite \
 			--disable-xdamage \
 			--disable-xfixes \
