## gtk+3.0 3.8.4

=== debian/changelog ===
gtk+3.0 (3.8.4-0ubuntu3) saucy; urgency=low

  * debian/patches/git_padding_value.patch: don't use a negative padding, 
    that fixes gnome-session-properties' dialog segfault on empty lists,
    thanks Ryan Lortie (lp: #1193913)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 30 Sep 2013 16:11:25 +0200

gtk+3.0 (3.8.4-0ubuntu2) saucy; urgency=low

  [ William Hua ]
  * debian/patches/git-gtkmodelmenuitem-icon-support.patch:
    - git backport from 3.9, add upstream's GtkModelMenuItem GIcon support
    (lp: #186961)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 25 Sep 2013 11:53:05 +0200

gtk+3.0 (3.8.4-0ubuntu1) saucy; urgency=low

  * New upstream version
  * Dropped the patches included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 09 Sep 2013 19:08:12 +0200

gtk+3.0 (3.8.2-3ubuntu7) saucy; urgency=low

  * ubuntu_gtk_custom_menu_items.patch: Fix checking for NULL actions
    before applying action namespace

 -- Ted Gould <ted@ubuntu.com>  Thu, 15 Aug 2013 22:32:25 -0500

gtk+3.0 (3.8.2-3ubuntu6) saucy; urgency=low

  * Relax dependencies on the -common package, just require
    libgtk-3-common (>= ${source:Upstream-Version})......
  * Enable parallel builds.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Aug 2013 21:18:30 +0200

gtk+3.0 (3.8.2-3ubuntu5) saucy; urgency=low

  * debian/patches/git_check_for_gdkpixbuf_first.patch:
    - Backport patch to fix slow icon loading in GNOME's Background Setttings
      panel. Thanks Ryan Lortie for the fix! (LP: #1205562)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 01 Aug 2013 20:37:08 -0400

gtk+3.0 (3.8.2-3ubuntu4) saucy; urgency=low

  * Add new symbol from last upload

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 22 Jul 2013 21:53:35 -0400

gtk+3.0 (3.8.2-3ubuntu3) saucy; urgency=low

  * debian/patches: Cherrypick upstream git iconcache fixes (LP: #1186694)
    - git_iconcache_ref_GtkIconData.patch
    - git_icontheme_move_changed_emission.patch
  * debian/patches/git_disable_frame_sync_gtkplug.patch:
    - Fixes gnome-screensaver not redrawing when used with lightdm
      on gnome-shell (LP: #1181632)

 -- Tim Lunn <tim@feathertop.org>  Tue, 23 Jul 2013 09:27:13 +1000

gtk+3.0 (3.8.2-3ubuntu2) saucy; urgency=low

  * Use simply expanded variable to avoid FTBFS due to recursive reference of
    CFLAGS on armhf.

 -- Iain Lane <iain.lane@canonical.com>  Mon, 08 Jul 2013 17:32:34 +0100

gtk+3.0 (3.8.2-3ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * debian/patches/git_filechooser_signal.patch:
    "GtkFileChooserButton: Also emit 'file-set' when changing the selection 
      through the combo box"
  * debian/patches/git_fileselect_subdir.patch:
    " GtkFileChooserEntry: don't inline-complete if the entry 
      doesn't have the focus" (lp: #1102042)

  [ Iain Lane ]
  * Merge with Debian. Remaining changes:
    + Enable Wayland backend.
    + Set Multi-Arch: same on the library.
    + Break old gtk3-engines-unico versions incompatible with this GTK,
    + Drop 061_multiarch_module_fallback.patch - unneeded in Ubuntu since we
      cleared all old gtk modules out.
    + Don't build with optimisations on armhf to work around bug #1194123.
    + Install the settings.ini file to set our themes.
    + Ubuntu specific patches:
      - 073_treeview_almost_fixed.patch
      - 075_expose_gdkwidget_for_gtkrange.patch
      - 102_add_wayland_symbols.patch
      - abicheck-dynamic-backends
      - git_fileselect_subdir.patch 
      - git_gtkcellrenderer_grabbing_modifier.patch
      - git-gtkmodelmenuitem-icon-support.patch
      - print-dialog-show-options-of-remote-dnssd-printers.patch
      - revert_git_a11y_stopped.patch
      - ubuntu_gtk_custom_menu_items.patch
      - uimanager-guard-against-nested-node-updates.patch

 -- Iain Lane <iain.lane@canonical.com>  Mon, 08 Jul 2013 16:31:25 +0100

gtk+3.0 (3.8.2-3) unstable; urgency=low

  * Simplify our trigger for gtk-query-immodules-3.0, use the --update-cache
    option instead of redirecting stdout.
  * debian/patches/080_correct_padding_of_submenu_arrows.patch: Take padding
    into account to position submenu arrow. Patch cherry-picked from upstream
    Git.
  * Update debian/copyright to comply with the final 1.0 spec.

 -- Michael Biebl <biebl@debian.org>  Sat, 06 Jul 2013 00:51:39 +0200

gtk+3.0 (3.8.2-2) unstable; urgency=low

  * debian/patches/031_ia64_children_test.patch:
    + Patch from Stephan Schreiber, fix an invalid read on a test case
      that caused it to fail on ia64, making the build fail.
  * debian/patches/032_mips_treeview_row_separator_height.patch:
    + Disable another test that currently fails on mips but that also
      fails at least on amd64 when run under valgrind.
  * All the above closes: #711107.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 16 Jun 2013 01:25:10 +0200

gtk+3.0 (3.8.2-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Switch to interest-noawait for triggers. They only affect IM 
    modules, so this is not likely to cause upgrade problems.

  [ Michael Biebl ]
  * Upload to unstable.
  * New upstream release.
  * Update debian/copyright following the latest copyright-format spec.
  * Bump Standards-Version to 3.9.4. No further changes.

 -- Michael Biebl <biebl@debian.org>  Thu, 23 May 2013 16:23:37 +0200

gtk+3.0 (3.8.2-0ubuntu7) saucy; urgency=low

  * Revert the previous change and work around the GCC-4.8 breakage by
    building without optimisations on armhf. For the GCC problem, see bug
    #1194123 

 -- Iain Lane <iain.lane@canonical.com>  Tue, 25 Jun 2013 10:58:43 +0100

gtk+3.0 (3.8.2-0ubuntu6) saucy; urgency=low

  * debian/rules: don't stop the build on failings tests, on armhf.
    There is a test that started failing recently there, and the issue is
    not easily reproducible. Since the version mismatch between archs is 
    breaking builds, let's unblock those while we debug

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 20 Jun 2013 13:29:00 +0200


