=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: debhelper (>= 8.1.3),
-               cdbs (>= 0.4.90~),
+               cdbs (>= 0.4.93~),
                gnome-pkg-tools (>= 0.11),
                dpkg-dev (>= 1.16.0),
                gtk-doc-tools (>= 1.11),
@@ -13,15 +13,15 @@
                gettext,
                pkg-config,
                autotools-dev,
-               libglib2.0-dev (>= 2.33.10),
-               libgdk-pixbuf2.0-dev (>= 2.26.0),
-               libpango1.0-dev (>= 1.30.0),
-               libatk1.0-dev (>= 2.2.0),
+               libglib2.0-dev (>= 2.35.3),
+               libgdk-pixbuf2.0-dev (>= 2.27.1),
+               libpango1.0-dev (>= 1.32.4),
+               libatk1.0-dev (>= 2.7.5),
                libatk-bridge2.0-dev,
                libx11-dev (>= 2:1.3.3-2),
                libxext-dev (>= 2:1.1.1-3),
                libxi-dev (>= 2:1.3-4),
-               libxrandr-dev (>= 1:1.2.99),
+               libxrandr-dev (>= 2:1.2.99),
                libxt-dev,
                libxrender-dev (>= 1:0.9.5-2),
                libxft-dev,
@@ -37,7 +37,10 @@
                libcolord-dev (>= 0.1.9),
                gobject-introspection (>= 1.32.0),
                libgirepository1.0-dev (>= 1.32.0),
-               xvfb
+               xvfb,
+               libwayland-dev (>= 1.0.0),
+# Previous versions generated overly strict shlibs
+               libxkbcommon-dev (>= 0.2.0-0ubuntu3~)
 Build-Depends-Indep: docbook-xml,
                      docbook-utils,
                      libglib2.0-doc,
@@ -51,17 +54,19 @@
 
 Package: libgtk-3-0
 Architecture: any
-Depends: libgtk-3-common (= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends},
-         shared-mime-info,
-         at-spi2-core
+Depends: libgtk-3-common (>= ${source:Upstream-Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+         shared-mime-info
 Provides: gtk3-binver-3.0.0
 Recommends: hicolor-icon-theme,
             libgtk-3-bin
 Suggests: librsvg2-common,
           gvfs
-Breaks: gnome-themes-standard (<< 3.2),
+Breaks: gnome-themes-standard (<< 3.6),
+        murrine-themes (<= 0.98.2),
+        libvte-2.90-9 (<< 1:0.32),
+        libwebkitgtk-3.0-0 (<< 1.8.0),
         gtk3-engines-unico (<< 1.0.2-0ubuntu2)
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -74,7 +79,7 @@
  This package contains the shared libraries.
 
 Package: libgtk-3-0-udeb
-Package-Type: udeb
+XC-Package-Type: udeb
 Section: debian-installer
 Priority: extra
 Architecture: any
@@ -111,9 +116,9 @@
 Package: libgtk-3-bin
 Section: misc
 Architecture: any
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
          libgtk-3-0 (>= ${source:Version}),
-         libgtk-3-common (= ${source:Version})
+         libgtk-3-common (>= ${source:Upstream-Version})
 Multi-Arch: foreign
 Description: programs for the GTK+ graphical user interface library
  GTK+ is a multi-platform toolkit for creating graphical user
@@ -132,13 +137,15 @@
          libgtk-3-common,
          ${misc:Depends},
          ${shlibs:Depends},
-         libglib2.0-dev (>= 2.33.1),
-         libgdk-pixbuf2.0-dev (>= 2.26.0),
-         libpango1.0-dev (>= 1.30.0),
-         libatk1.0-dev (>= 2.2.0),
+         libglib2.0-dev (>= 2.35.3),
+         libgdk-pixbuf2.0-dev (>= 2.27.1),
+         libpango1.0-dev (>= 1.32.4),
+         libatk1.0-dev (>= 2.7.5),
          libatk-bridge2.0-dev,
          libcairo2-dev (>= 1.10.0),
+         libwayland-dev (>= 1.0.0),
          libx11-dev,
+         libxkbcommon-dev,
          libxext-dev,
          libxinerama-dev,
          libxi-dev,
@@ -232,7 +239,8 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libgtk-3-0 (= ${binary:Version})
+         libgtk-3-0 (= ${binary:Version}),
+         at-spi2-core
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Description: GNOME Accessibility Implementation Library -- shared libraries
