=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 DEB_MAKE_DESTDIRSKEL = $(CURDIR)/debian/install/@FLAVOR@
 DEB_MAKE_FLAVORS = shared shared_udeb
 DISABLE_UPDATE_UPLOADERS = 1
+DEB_BUILD_PARALLEL = yes
 
 include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
@@ -49,6 +50,11 @@
 DEBUG_PKG := $(SHARED_PKG)-dbg
 EXAMPLES_PKG := gtk-$(APIVER)-examples
 
+# files larger than 4k in size will be compressed by dh_compress
+# so append a .gz suffix to avoid dangling symlinks
+NEWS := NEWS$(shell find -maxdepth 1 -size +4k -name NEWS -exec echo ".gz" \;)
+README := README$(shell find -maxdepth 1 -size +4k -name README -exec echo ".gz" \;)
+
 DEB_DH_INSTALL_ARGS += --sourcedir=debian/install/shared
 DEB_DH_INSTALL_ARGS_$(UDEB_PKG) += --sourcedir=debian/install/shared_udeb
 
@@ -75,8 +81,12 @@
 			--disable-xrandr
 
 # Avoid test failures on buildd environments
-export G_HOME=$(CURDIR)/debian/build
+export HOME=$(CURDIR)/debian/build
 
+ifeq ($(DEB_HOST_ARCH), armhf)
+# This is to work around LP: #1194123
+export CFLAGS := $(CFLAGS:-O2=-O0)
+endif
 DEB_MAKE_CHECK_TARGET = -k check
 DEB_INSTALL_DOCS_ALL = AUTHORS
 DEB_INSTALL_DOCS_$(COMMON_PKG) = README NEWS
@@ -113,16 +123,14 @@
 		-e 's#@CONFDIR@#$(CONFDIR)#g' \
 		-e "s#@MODULES_BASE_PATH@#$(MODULES_BASE_PATH)#g" \
 		-e "s#@OLD_MODULES_BASE_PATH@#$(OLD_MODULES_BASE_PATH)#g" \
+		-e "s#@NEWS@#$(NEWS)#g" \
+		-e "s#@README@#$(README)#g" \
 		$@.in > $@
 
 clean:: debian/control
 	# gross kludge to force control generation with the %.in target
 	touch debian/control.in
 	rm -f $(call dh_subst_files,$(DEB_ALL_PACKAGES))
-
-# https://bugzilla.gnome.org/show_bug.cgi?id=671817
-common-configure-arch:: 
-	mkdir -p $(G_HOME)/.local/share
 
 # Add dependencies to generate files from the debian/*.in ones
 build-indep: $(call dh_subst_files,$(DEB_INDEP_PACKAGES))
