## gtk+3.0 3.10.8

=== debian/changelog ===
gtk+3.0 (3.10.8-0ubuntu1) trusty; urgency=medium

  * New upstream version, drop backports included in the update

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 07 Apr 2014 16:59:16 +0200

gtk+3.0 (3.10.7-0ubuntu5) trusty; urgency=medium

  * debian/patches/git_grid_theming.patch:
    - "grid: draw css background and borders", that's needed to be able to
      workraround background color issues with our scrollbars/theme,
      thanks Lars Uebernickel

  [ William Hua ]
  * debian/patches/x-canonical-accel.patch:
    - allow setting menu item accelerator text directly (lp: #1208019)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 03 Apr 2014 18:52:08 +0200

gtk+3.0 (3.10.7-0ubuntu4) trusty; urgency=medium

  * debian/patches/ubuntu_gtk_custom_menu_items.patch:
    - clean leftover debug g_message() call
  * debian/patches/git_popup_menu_shift.patch:
    - "gtkmenu: displace popups by their css margin. Without a margin, 
       the pointer is above the first (or last) menu item, making it easy 
       to accidentally activate that item.", thanks Lars Uebernickel
       (lp: #1281617)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 06 Mar 2014 11:53:02 +0100

gtk+3.0 (3.10.7-0ubuntu3) trusty; urgency=medium

  * debian/patches/git_new_gtkdoc_build.patch:
    - backport commit to fix the build with the new gtk-doc (lp: #1283226)
  * debian/patches/git_print_replace_button.patch:
    - Show "Replace" button when printing to existing file
  * debian/patches/git_print_tab_visiblity.patch:
    - Fix visibility of tabs in print dialog
  * debian/patches/git_touch_popover_underline.patch:
    - touch popover: use underlines
  * debian/patches/git_subtitle_typo.patch:
    - Trivial typo fix in "subtitle" string (lp: #1260935)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 25 Feb 2014 12:35:39 +0100

gtk+3.0 (3.10.7-0ubuntu2) trusty; urgency=medium

  * debian/control.in: rebuild with the current cairo for Hi-DPI support

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 17 Feb 2014 12:32:48 +0100

gtk+3.0 (3.10.7-0ubuntu1) trusty; urgency=medium

  * New upstream version
  * debian/patches/git_search_printer_location.patch:
    - Enable search through locations in printers list (lp: #1188571)
  * debian/patches/testsuite-ppc64el-failure.patch:
    - dropped, the changes are in the new version

  [ Iain Lane ]
  * Override the default for org.gtk.Settings.FileChooser startup-mode to
    start file choosers in the working directory (defaulting to the home
    directory) by default, instead of 'Recent Files', which has proved
    unpopular with users.  (LP: #959505)
  * Make a writable directory for the testsuite to use during the build -
    fixes failure in `make check' if home dir can't be written to. 

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 28 Jan 2014 13:16:19 +0100

gtk+3.0 (3.10.6-0ubuntu3) trusty; urgency=medium

  * Fix clean target to not fail when it's already been run (rm *-f*,
    people)
  * debian/patches/testsuite-ppc64el-failure.patch: fix prototypes of
    signal callbacks in the test suite.  Closes LP: #1262380.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 26 Dec 2013 18:33:37 -0800

gtk+3.0 (3.10.6-0ubuntu2) trusty; urgency=low

  * debian/tests/build: update to not use gtkstock which is deprecated,
    the warning is making the autopkgtest unhappy

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 11 Dec 2013 10:52:41 +0100

gtk+3.0 (3.10.6-0ubuntu1) trusty; urgency=low

  * New upstream version, should fix those issues:
    - gedit invalid free when some ims are used (lp: #1196523)
    - eog geometry being wrong cause some scaling for the image (lp: #1247564)
    - scroll issue when using the mouse wheel (lp: #1240957, #1184159)
    - the fileselector uses a new sidebar for more consistency with nautilus
      (lp: #937971)
  * debian/control.in:
    - Build-Depends on dbus-x11n g_test_dbus_up() is using dbus-launch
    - Build-Depends on at-spi2-core, needed for the tests
    - updated cairo, glib, wayland requirements
  * Renamed some patches to follow in serie and indicate correct origin
  * debian/patches/git_bookmark_ellipsize.patch:
    - dropped, the fix is in the new version
  * debian/patches/git_menu_separator_style.patch:
    - backport upstream commit for theming issues
  * debian/rules:
    - copy build hacks from debian to use local schemas
    - drop armhf -O0 workaround, gcc got fixed since
    - workaround build issues due to autogenerated wayland sources

  [ Lars Uebernickel ]
  * New upstream version (lp: #1171587)
  * debian/patches/git-gtkmodelmenuitem-icon-support.patch,
    debian/patches/git_frame_disconnect.patch,
    debian/patches/git_frame_update.patch,
    debian/patches/git_list_handlers.patch,
    debian/patches/git_submenus_leak.patch,
    debian/patches/revert_git_a11y_stopped.patch,
    debian/patches/031_ia64_children_test.patch:
    - drop: fixed upstream
  * debian/patches/abicheck-dynamic-backends:
    - drop: abicheck was removed upstream
  * debian/patches/075_expose_gdkwidget_for_gtkrange.patch:
    - drop: ido doesn't use this anymore
  * debian/patches/102_add_wayland_symbols.patch:
    - drop: symbols are exported automatically now
  * debian/patches/015_default-fallback-icon-theme.patch,
    debian/patches/018_gdkenumtypes.c_location.patch,
    debian/patches/032_mips_treeview_row_separator_height.patch
    - update from debian
  * debian/patches/uimanager-guard-against-nested-node-updates.patch:
    - update: make it apply (gtkuimanager.c was moved to deprecated)
  * debian/patches/ubuntu_gtk_custom_menu_items.patch:
    - update: gtkmodelmenu was replaced by gtkmenutracker
  * debian/patches/073_treeview_almost_fixed.patch:
    - update: property wrongly marked as readable (caught by the new tests)
  * 015_default-fallback-icon-theme.patch:
    - drop: fixed differently upstream

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Dec 2013 11:51:53 +0100

gtk+3.0 (3.8.7-0ubuntu1) trusty; urgency=low


