=== debian/control ===
--- 
+++ 
@@ -3,9 +3,11 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 8.1.3),
                cdbs (>= 0.4.93~),
+               dbus-x11,
+               at-spi2-core,
                gnome-pkg-tools (>= 0.11),
                dpkg-dev (>= 1.16.0),
                gtk-doc-tools (>= 1.11),
@@ -13,7 +15,7 @@
                gettext,
                pkg-config,
                autotools-dev,
-               libglib2.0-dev (>= 2.35.3),
+               libglib2.0-dev (>= 2.37.5),
                libgdk-pixbuf2.0-dev (>= 2.27.1),
                libpango1.0-dev (>= 1.32.4),
                libatk1.0-dev (>= 2.7.5),
@@ -31,14 +33,14 @@
                libxkbfile-dev,
                libxinerama-dev (>= 2:1.1-3),
                libxfixes-dev (>= 1:3.0.0-3),
-               libcairo2-dev (>= 1.10.0),
+               libcairo2-dev (>= 1.13.0~20140204),
                x11proto-xext-dev,
                libcups2-dev (>= 1.2),
                libcolord-dev (>= 0.1.9),
                gobject-introspection (>= 1.32.0),
                libgirepository1.0-dev (>= 1.32.0),
                xvfb,
-               libwayland-dev (>= 1.0.0),
+               libwayland-dev (>= 1.2.0),
 # Previous versions generated overly strict shlibs
                libxkbcommon-dev (>= 0.2.0-0ubuntu3~)
 Build-Depends-Indep: docbook-xml,
@@ -47,7 +49,7 @@
                      libatk1.0-doc,
                      libpango1.0-doc,
                      libcairo2-doc
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gtk/ubuntugtk3
 Homepage: http://www.gtk.org/
 XS-Testsuite: autopkgtest
@@ -137,13 +139,13 @@
          libgtk-3-common,
          ${misc:Depends},
          ${shlibs:Depends},
-         libglib2.0-dev (>= 2.35.3),
+         libglib2.0-dev (>= 2.37.5),
          libgdk-pixbuf2.0-dev (>= 2.27.1),
          libpango1.0-dev (>= 1.32.4),
          libatk1.0-dev (>= 2.7.5),
          libatk-bridge2.0-dev,
-         libcairo2-dev (>= 1.10.0),
-         libwayland-dev (>= 1.0.0),
+         libcairo2-dev (>= 1.13.0~20140204),
+         libwayland-dev (>= 1.2.0),
          libx11-dev,
          libxkbcommon-dev,
          libxext-dev,
