=== debian/tests/control ===
Tests: build python3-gi
Depends: libgtk-3-dev, build-essential, xvfb, python3-gi, gir1.2-gtk-3.0
